## org.apache.commons.collections.list
Class PredicatedList.PredicatedListIterator

    java.lang.Object
      org.apache.commons.collections.iterators.AbstractListIteratorDecorator
          org.apache.commons.collections.list.PredicatedList.PredicatedListIterator

All Implemented Interfaces:
  Iterator, ListIterator

Enclosing class:
  PredicatedList

protected class PredicatedList.PredicatedListIterator
extends AbstractListIteratorDecorator

Inner class Iterator for the PredicatedList

Field Summary

Fields inherited from class org.apache.commons.collections.iterators.AbstractListIteratorDecorator
`iterator`

Constructor Summary
`protected` `PredicatedList.PredicatedListIterator(ListIterator iterator)`

Method Summary
`void` `add(Object object)`
`void` `set(Object object)`

Methods inherited from class org.apache.commons.collections.iterators.AbstractListIteratorDecorator
`getListIterator, hasNext, hasPrevious, next, nextIndex, previous, previousIndex, remove`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PredicatedList.PredicatedListIterator

    protected PredicatedList.PredicatedListIterator(ListIterator iterator)

Method Detail

### add

    public void add(Object object)

  Specified by:
    `add` in interface `ListIterator`
  Overrides:
    `add` in class `AbstractListIteratorDecorator`

### set

    public void set(Object object)

  Specified by:
    `set` in interface `ListIterator`
  Overrides:
    `set` in class `AbstractListIteratorDecorator`

Copyright © 2001-2005 Apache Software Foundation. All Rights Reserved.